html, body {
    display: flex;
    background-color: #fff; 
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    font-family: "Roboto", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    color: #202224;
}


td:first-child, th:first-child {
    text-align: left;
}

/* Alinear todas las demás columnas a la derecha */
td:not(:first-child), th:not(:first-child) {
    text-align: right;
}


.bold-row {
    font-weight: bold; /* Hacer el texto de esta fila en negrita */
}

.bold-row-grey {
    font-weight: bold; /* Hacer el texto de esta fila en negrita */
    color: #999;
}

#searchInput:focus {
    color: #202224; 
}

#searchInput {
    color: #999; /* Color más claro cuando no tiene foco */
    border-color: #aaa; /* Color cuando no tiene foco */
    transition: border-color 0.3s; /* Transición suave */
}

a.export-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    text-decoration: none;
    cursor: pointer;
    background-color: white;
    border: 2px solid #007bff;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 0 2px 5px rgba(0,0,0,0.3);
    width: 20px;
    height: 20px;
    line-height: 1;
}

/* Estilo específico para la imagen dentro del enlace */
a.export-link img {
    display: block;
    margin: auto;
    width: 20px;
    height: 20px;
}

a.export-link:hover {
    background-color: #e7f0ff;
}

.area {
    font: Arial, Helvetica, sans-serif;
    /* color: #777; */
    background: rgba(255,255,255,0.7);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
    padding: 0px 5px 0px 5px;
}

.legend {
  text-align: left;
  line-height: 18px;
  color: #555;
}
.legend i {
  width: 18px;
  height: 18px;
  float: left;
  margin-right: 8px;
  opacity: 0.7;
}

/* map */
#map {
    width: 100%; /* Asegúrate de que el mapa ocupe el 100% del ancho */
    height: 100%; /* Asegúrate de que el mapa ocupe el 100% de la altura */
}
.leaflet-container {
    min-height: 500px;
    height: 100%;
}
.custom-tooltip {
    background-color: rgba(255, 255, 255, 0.5); /* Color blanco con 80% de opacidad */
    border-radius: 5px; /* Bordes redondeados */
    padding: 5px; /* Espaciado interno */
    font-size: 9px; /* Tamaño de fuente más pequeño */
}

.leaflet-control-scale {
    margin-left: 10px !important; /* Cambia 50px por el margen que desees */
    margin-bottom: 20px !important; /* Opcional: si también quieres separarlo del borde inferior */
}

.leaflet-control-scale-line {
    /* Fondo blanco con 30% de opacidad */
    background: rgba(255, 255, 255, 0) !important; 
    
    /* Opcional: Quitar el borde si quieres que sea aún más sutil */
    border: 2px solid rgba(0, 0, 0, 0.3) !important; 
    border-top: none !important;
}

/* fin map */


.container {
    /* display: flex; */
    width: 100%; 


    display: flex;
    height: 100vh;
    overflow: hidden;
    /* padding: 10px; */



}

.toggle-arrow {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute; 
    left: calc(30% - 5px);
    z-index: 3;  
}

/* Estilos para la flecha en horizontal */
@media (min-width: 769px) {
    .toggle-arrow {
        height: 100%;
        left: calc(30% - 5px);
    }

    #rightDiv {
        flex: 0 0 calc(70% - 5px); /* 70% del ancho */
        /* background-color: #d0d0d0; */
        z-index: 2;
    }
    
    #leftDiv {
        flex: 0 0 calc(30% - 5px); /* 30% del ancho */
        background-color: #fff;
        margin-left: 5px;
        margin-right: 5px;
        z-index: 1;
    }

}

.side-div {
    /* height: 100vh; */

    overflow-y: auto;
    /* padding: 10px; */
    /* box-sizing: border-box; */
    background-color: #fff;
    /* border: 1px solid #ddd;
    border-radius: 5px; */

}

#leftDiv {
    /* flex: 0 0 calc(30% - 5px); 
    background-color: #fff;
    margin-left: 5px;
    margin-right: 5px;
    z-index: 1; */

    flex: 0 0 calc(30% - 5px);
    margin-right: 5px;
    z-index: 1;

}

#rightDiv {
    /* flex: 0 0 calc(70% - 5px);
    background-color: #d0d0d0;
    z-index: 2; */

    flex: 0 0 calc(70% - 5px);
    z-index: 2;

}

/* Media query para dispositivos móviles */
@media (max-width: 768px) {
    /* .container {
        flex-direction: column;
    }
    .side-div {
        height: 50vh;
    } */
    .toggle-arrow {
        width: 100%;
        /* left: 0%; */
    }
    /* #rightDiv {
        flex: 0 0 calc(70%);
        background-color: #d0d0d0;
        z-index: 2;
    }
    #leftDiv {
        flex: 0 0 calc(30%);
        background-color: #fff;
        margin-left: 5px;
        margin-right: 5px;
        z-index: 1;
    } */
    


    .container {
        flex-direction: column;
    }
    #leftDiv, #rightDiv {
        width: 100%;
        margin: 0 0 10px 0;
    }

    .leaflet-bottom.leaflet-right {
        bottom: 50px !important; /* Ajusta según sea necesario */
    }
    .leaflet-bottom.leaflet-left {
        bottom: 50px !important; /* Ajusta según sea necesario */
    }
}


